#pragma once
#include "any.h"
#include <map>
namespace refl {
	using ConvertFunc = bool (*)(Any&, const Any&);
	using ConvertMap = std::map<const UClass*, ConvertFunc>;
	class Convert {
	protected:
		static ConvertMap BuildClassMap();
	public:
		static bool ToString(Any& dst,const Any& src);
		static bool Construct(Any& dst, const Any& src);
		inline static ConvertMap ClassMap = BuildClassMap();
	};
}